Generate Cryptogram

Generates a cryptogram for a given network token. This endpoint is used during an e-commerce payment flow to produce a transaction-specific cryptogram (and optionally an ECI value) that is required when processing a payment with a network token issued by providers such as Visa Token Service (VTS) or Mastercard Digital Enablement Service (MDES).

Request Headers

HeaderRequiredDescription
AuthorizationYesBearer YOUR_ACCESS_TOKEN
Content-TypeYesapplication/json

Request Body Parameters

FieldTypeRequiredDescription
tokenstringYesThe SoftPoint token representing the stored card.
network_tokenstringYesThe network token (for example, from Visa Token Service or Mastercard MDES) for which the cryptogram will be generated.

Example Request

{
  "token": "D0tnVVr6cVcS0747",
  "network_token": "5424177799726024"
}

Response

200 — Success (ECI Returned)

Returns the generated cryptogram and the ECI value provided by the network token service.

{
  "cryptogram": "AKh9Mhy2iOTiAAQYE4YCAAADFA==",
  "eci": "05"
}

200 — Success (ECI Not Returned)

Returns the generated cryptogram. If the provider does not supply an ECI, the eci field is null.

{
  "cryptogram": "AKh9Mhy2iOTiAAQYE4YCAAADFA==",
  "eci": null
}

Response Fields

FieldTypeDescription
cryptogramstringThe generated cryptogram to include in the payment transaction.
ecistring | nullElectronic Commerce Indicator (ECI) returned by the network token provider. May be null.

Notes

  • The eci field is provider-dependent and may not be returned by all network token services.
  • Your integration should handle both a string value and null for the eci field.
Path Params
string
required
Body Params
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain